		local f = CreateFrame("Frame");
		f:RegisterEvent("PLAYER_ENTERING_WORLD");
		f:SetScript("OnEvent", function()
		
		local function crystalui_PaperDollItemSlotButton_Update(self)
			local quality = GetInventoryItemQuality("player", self:GetID());
			if (quality and quality >= LE_ITEM_QUALITY_COMMON and BAG_ITEM_QUALITY_COLORS[quality] and self:GetID() < 20) then
				self.IconBorder:Show();
				self.IconBorder:SetTexture("Interface\\Containerframe\\quality.blp")
				self.IconBorder:SetVertexColor(BAG_ITEM_QUALITY_COLORS[quality].r, BAG_ITEM_QUALITY_COLORS[quality].g, BAG_ITEM_QUALITY_COLORS[quality].b);
			else
				self.IconBorder:Hide();
			end
		end

		hooksecurefunc("PaperDollItemSlotButton_Update",crystalui_PaperDollItemSlotButton_Update)
		local function crystalui_CharacterFrame_UpdatePortrait()
		local masteryIndex = GetSpecialization();
			if (masteryIndex == nil) then
				local _, class = UnitClass("player");
				CharacterFramePortrait:SetTexture("Interface\\Addons\\crystalui\\gfx\\class_icons\\classes");
				CharacterFramePortrait:SetTexCoord(unpack(CLASS_ICON_TCOORDS[class]));
				CharacterFramePortrait:SetPoint("Topleft",-8,9)
				CharacterFramePortrait:SetWidth(64)
				CharacterFramePortrait:SetHeight(64)
				else
				local icon = select(4,GetSpecializationInfo(masteryIndex))
				CharacterFramePortrait:SetTexCoord(0.85, 0.15, 0.15, 0.85);
			end
		end
		hooksecurefunc("CharacterFrame_UpdatePortrait",crystalui_CharacterFrame_UpdatePortrait)
		m_border(ReputationFrame,330,364,"Center",-1,-27,14,"MEDIUM")
		m_border(TokenFrame,330,364,"Center",-1,-27,14,"MEDIUM")
		m_border(PetModelFrame,330,362,"Center",-1,0,14,"MEDIUM")
		end)